%define name PyQt
%define version 2.5
%define release 1mdk
# py_ver, because modules have to be recompiled for another Python version
%define py_ver 2.1

Summary:	Python bindings for Qt.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Free
Group:		Development/Python
Source:		%{name}-%{version}.tar.bz2
URL:		http://www.thekompany.com/projects
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libsip6-devel = %{version}
Requires:	sip = %{version}, python >= %{py_ver}, libsip6

%description
Python bindings for the Qt C++ class library.


%package devel
Summary: SIP specification files for Qt.
Group: Development/Python

%description devel
The SIP specification files for the Qt class library.


%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build
CXXFLAGS=-L$RPM_BUILD_ROOT/usr/lib/python2.1/site-packages %configure \
    --with-qt-includes=/usr/lib/qt2/include \
    --with-qt-libraries=/usr/lib/qt2/lib \
    --with-qt-mocdir=/usr/lib/qt2/bin

(cd qt; make sipqtVersion.h)
(cd qtgl; make sipqtglVersion.h)

%make

%install
make DESTDIR=$RPM_BUILD_ROOT BINDIR=$RPM_BUILD_ROOT/usr/bin install install-sip


%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, 755)
%doc NEWS README 
%doc %dir doc/PyQt examples
%{_bindir}/*
%{_libdir}/python*/site-packages/eric/*
%{_libdir}/python*/site-packages/libqt*cmodule*.*
%{_libdir}/python*/site-packages/qt*.py*

%files devel
%defattr(-, root, root, 755)
%{_datadir}/sip/qt

%changelog
* Tue Sep 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.5-1mdk
- fix build 
- updated by RA <Ralf_Ahlbrink@web.de> :
	- upgrade to 2.5

* Fri Jun 01 2001 Yves Bailly <ybailly@mandrakesoft.com> 2.4-1mdk
- upgrade to 2.4

* Thu Feb 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.3-1mdk
- used sprm from  Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr>

* Sun Feb 04 2001 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 2.3-2mgv
- tweak %%files

* Tue Oct 10 2000 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 2.2-1mgv
- mandrakization for 7.2

